Bug 35954 - ListView and IconView missing easy way to go back after entering folder
ListView and IconView missing easy way to go back after entering folder
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P4 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 11:04 UTC by nicolas
Modified: 2010-04-24 05:29 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
ListView.setShowParentNode(true) (19.35 KB, patch)
2010-04-17 19:42 UTC, Jaroslav Tulach
Details | Diff
JAR file with the change for those who want to test it (1.61 MB, application/zip)
2010-04-17 19:44 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nicolas 2003-09-08 11:04:14 UTC
Hi.

ListView and IconView miss an easy way to go back 
to parent node once you have entered its 
children. For the moment it seems the only way 
back is hitting backspace.

A nice feauture would be to have some sort 
of "come back to parent node" icon with ".." 
associated text like in Windows' explorer for 
example.

Yours respectfully. 

            Nicolas.
Comment 1 Jiri Rechtacek 2003-12-01 15:42:34 UTC
Reassign to UI team for their view.
Comment 2 Antonin Nebuzelsky 2008-02-07 16:02:23 UTC
Reassigning to new module owner Tomas Holy.
Comment 3 Jaroslav Tulach 2010-04-02 16:25:37 UTC
".." is nice idea. Anyone wants to implement it?
Comment 4 Jaroslav Tulach 2010-04-17 19:42:19 UTC
Created attachment 97568 [details]
ListView.setShowParentNode(true)
Comment 5 Jaroslav Tulach 2010-04-17 19:44:19 UTC
Created attachment 97569 [details]
JAR file with the change for those who want to test it

If you want to test the above JAR, don't forget to not only replace existing JAR, but also start with empty userdir. Otherwise the content of the previous JAR may be cached...
Comment 6 Jaroslav Tulach 2010-04-22 14:38:33 UTC
No comments? Time to integrate, then!
Comment 7 Jaroslav Tulach 2010-04-23 06:17:55 UTC
core-main#db5ea6356e90
Comment 8 Quality Engineering 2010-04-24 05:29:39 UTC
Integrated into 'main-golden', will be available in build *201004240200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/db5ea6356e90
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #35954: ListView.setShowParentNode


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo